SymetryML Documentation
Models

Get model information

GET
/{user}/projects/{project}/models/{model}

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

model*string

Model identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/projects/nbra_prj_iris/models/nbra_prj_iris_build_1"
{  "statusCode": 200,  "statusString": "OK",  "values": {    "modelInfo": {      "modelId": "ldaMod",      "modelType": "lda",      "modelBuilt": 50,      "buildTime": 621,      "attributeNames": [        "sepal_length",        "sepal_width",        "petal_length",        "petal_width"      ],      "attributeTypes": [        "C",        "C",        "C",        "C"      ],      "attributeIndexes": [        0,        1,        2,        3      ],      "targetNames": [        "Iris_setosa"      ],      "targetIndexes": [        12      ],      "predictInfo": [        "resZ",        "res",        "normZ",        "resU"      ],      "scoreInfo": [        "normZ"      ],      "creationDate": 1755899203516,      "useShortDesc": false,      "info": {        "N_0": "100.0",        "N_1": "50.0",        "OverallContribution": "6.596325686514524",        "OverallContribution_petal_length": "5.042774517287273",        "OverallContribution_petal_width": "4.058476692927664",        "OverallContribution_sepal_length": "2.1699543298722017",        "OverallContribution_sepal_width": "1.5623543538347002",        "buildStatus": "\"No Error\"",        "buildTimeNanosec": "621110806",        "z": "\"l0 <- c(3.14768     ,11.6269     ,-10.6817    ,-3.03780    )\n\"",        "z0": "17.36315655841808",        "z1LTz0": "true"      },      "extra": {        "coefficients": {          "errorHandling": 1,          "attributeNames": [            "attribute",            "coefficient"          ],          "data": [            [              "sepal_length",              "3.1476835751186862"            ],            [              "sepal_width",              "11.626947234226474"            ],            [              "petal_length",              "-10.681744905684235"            ],            [              "petal_width",              "-3.037796073790187"            ]          ],          "attributeTypes": [            "S",            "C"          ]        }      }    }  }}

{  "statusCode": 400,  "statusString": "Cannot Find Project id[nonexistent_prj_xyz] for Customer id [c1]",  "values": {}}